

# ListParticipantEvents
<a name="API_ListParticipantEvents"></a>

Lists events for a specified participant that occurred during a specified stage session.

## Request Syntax
<a name="API_ListParticipantEvents_RequestSyntax"></a>

```
POST /ListParticipantEvents HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string",
   "participantId": "string",
   "sessionId": "string",
   "stageArn": "string"
}
```

## URI Request Parameters
<a name="API_ListParticipantEvents_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListParticipantEvents_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [maxResults](#API_ListParticipantEvents_RequestSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-request-maxResults"></a>
Maximum number of results to return. Default: 50.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListParticipantEvents_RequestSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-request-nextToken"></a>
The first participant event to retrieve. This is used for pagination; see the `nextToken` response field.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `[a-zA-Z0-9+/=_-]*`   
Required: No

 ** [participantId](#API_ListParticipantEvents_RequestSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-request-participantId"></a>
Unique identifier for this participant. This is assigned by IVS and returned by [CreateParticipantToken](API_CreateParticipantToken.md).  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-]*`   
Required: Yes

 ** [sessionId](#API_ListParticipantEvents_RequestSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-request-sessionId"></a>
ID of a session within the stage.  
Type: String  
Length Constraints: Fixed length of 16.  
Pattern: `st-[a-zA-Z0-9]+`   
Required: Yes

 ** [stageArn](#API_ListParticipantEvents_RequestSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-request-stageArn"></a>
Stage ARN.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivs:[a-z0-9-]+:[0-9]+:stage/[a-zA-Z0-9-]+`   
Required: Yes

## Response Syntax
<a name="API_ListParticipantEvents_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "events": [ 
      { 
         "destinationSessionId": "string",
         "destinationStageArn": "string",
         "errorCode": "string",
         "eventTime": "string",
         "name": "string",
         "newToken": { 
            "attributes": { 
               "string" : "string" 
            },
            "capabilities": [ "string" ],
            "expirationTime": "string",
            "userId": "string"
         },
         "participantId": "string",
         "previousToken": { 
            "attributes": { 
               "string" : "string" 
            },
            "capabilities": [ "string" ],
            "expirationTime": "string",
            "userId": "string"
         },
         "remoteParticipantId": "string",
         "replica": boolean
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListParticipantEvents_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [events](#API_ListParticipantEvents_ResponseSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-response-events"></a>
List of the matching events.  
Type: Array of [Event](API_Event.md) objects

 ** [nextToken](#API_ListParticipantEvents_ResponseSyntax) **   <a name="ivsrealtimeeapireference-ListParticipantEvents-response-nextToken"></a>
If there are more events than `maxResults`, use `nextToken` in the request to get the next set.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `[a-zA-Z0-9+/=_-]*` 

## Errors
<a name="API_ListParticipantEvents_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
    
 ** exceptionMessage **   
User does not have sufficient access to perform this action.
HTTP Status Code: 403

 ** ValidationException **   
    
 ** exceptionMessage **   
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400

## See Also
<a name="API_ListParticipantEvents_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/ivs-realtime-2020-07-14/ListParticipantEvents) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/ivs-realtime-2020-07-14/ListParticipantEvents) 